package com.docus.server.message.controller;

import com.docus.infrastructure.web.api.ResultCode;
import com.docus.server.message.dto.Message;
import com.docus.server.message.dto.MessageResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 消息接收控制
 *
 * @author wyb
 */
@Api("消息接收")
@RestController
@Slf4j
@RequestMapping("/message/receive")
public class MessageReceiveController {


    @PostMapping("/wsRecordSubmit/do")
    @ApiOperation("消息接收测试")
    public MessageResponse receiveMessage(@RequestBody Message message) {
        System.out.println("wsRecordSubmit" + message);
        return new MessageResponse(ResultCode.SUCCESS.getCode(), "成功接收到了！");
    }
}
