package com.docus.server.message.service.impl;

import com.docus.server.message.consts.HospitalWsMethod;
import com.docus.server.message.consts.InteractiveMethod;
import com.docus.server.message.service.SdWebServiceUnifyMessageService;
import com.docus.server.message.service.UnifyMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

/**
 * @author WYBDEV
 */
@Service(HospitalWsMethod.WS_RECORD_SUBMIT)
public class SdWebServiceUnifyMessageServiceImpl implements SdWebServiceUnifyMessageService {

    private UnifyMessageService unifyMessageService;

    @Autowired
    @Qualifier(InteractiveMethod.WS)
    public void setUnifyMessageService(UnifyMessageService unifyMessageService) {
        this.unifyMessageService = unifyMessageService;
    }

    @Override
    public String pushInformation(String message) {
        return unifyMessageService.pushInformation(HospitalWsMethod.WS_RECORD_SUBMIT,message);
    }
}
